> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-home-button.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Создать обратную частную конечную точку

> **Эта конечная точка находится в бета-версии.** Контракт API стабилен, и в будущем не ожидается несовместимых изменений. <br /><br /> Создает новую обратную частную конечную точку.



## OpenAPI

````yaml /ru/products/cloud/api-reference/cloud-openapi.json post /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints:
    post:
      tags:
        - ClickPipes
      summary: Создать обратную частную конечную точку
      description: >-
        **Эта конечная точка находится в бета-версии.** Контракт API стабилен, и
        в будущем не ожидается несовместимых изменений. <br /><br /> Создает
        новую обратную частную конечную точку.
      parameters:
        - description: Идентификатор организации, которой принадлежит сервис.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            Идентификатор сервиса, которому принадлежит обратная частная
            конечная точка.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReversePrivateEndpoint'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: >-
                      Уникальный идентификатор, назначаемый каждому запросу.
                      UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ReversePrivateEndpoint'
                  status:
                    description: Код состояния HTTP.
                    example: 200
                    type: number
                type: object
          description: Успешный ответ
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: Подробное описание ошибки.
                    type: string
                  status:
                    description: Код состояния HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            Сервер не может или не будет обрабатывать запрос из-за ошибки,
            которая расценивается как ошибка клиента.
components:
  schemas:
    CreateReversePrivateEndpoint:
      properties:
        description:
          description: >-
            Описание обратной частной конечной точки. Максимальная длина — 255
            символов.
          example: My reverse private endpoint
          type: string
        mskAuthentication:
          description: Тип аутентификации кластера MSK. Обязательно для типа MSK_MULTI_VPC.
          enum:
            - SASL_IAM
            - SASL_SCRAM
          example: SASL_IAM
          nullable: true
          type: string
        mskClusterArn:
          description: ARN кластера MSK. Обязательно для типа MSK_MULTI_VPC.
          example: arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster
          nullable: true
          type: string
        type:
          description: Тип обратной частной конечной точки.
          enum:
            - VPC_ENDPOINT_SERVICE
            - VPC_RESOURCE
            - MSK_MULTI_VPC
          example: VPC_ENDPOINT_SERVICE
          type: string
        vpcEndpointServiceName:
          description: Имя сервиса конечной точки VPC.
          example: com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567
          nullable: true
          type: string
        vpcResourceConfigurationId:
          description: ID конфигурации ресурса VPC. Обязательно для типа VPC_RESOURCE.
          example: rcfg-12345678901234567
          nullable: true
          type: string
        vpcResourceShareArn:
          description: ARN общего доступа к ресурсу VPC. Обязательно для типа VPC_RESOURCE.
          example: >-
            arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567
          nullable: true
          type: string
    ReversePrivateEndpoint:
      properties:
        description:
          description: >-
            Описание обратной частной конечной точки. Максимальная длина — 255
            символов.
          example: My reverse private endpoint
          type: string
        dnsNames:
          description: Внутренние DNS-имена обратной частной конечной точки.
          items:
            type: string
          type: array
        endpointId:
          description: Endpoint ID обратной частной конечной точки.
          example: vpce-12345678901234567
          type: string
        id:
          description: ID обратной частной конечной точки.
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        mskAuthentication:
          description: Тип аутентификации кластера MSK. Обязательно для типа MSK_MULTI_VPC.
          enum:
            - SASL_IAM
            - SASL_SCRAM
          example: SASL_IAM
          nullable: true
          type: string
        mskClusterArn:
          description: ARN кластера MSK. Обязательно для типа MSK_MULTI_VPC.
          example: arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster
          nullable: true
          type: string
        privateDnsNames:
          description: Частные DNS-имена обратной частной конечной точки.
          items:
            type: string
          type: array
        serviceId:
          description: >-
            ID сервиса ClickHouse, с которым связана обратная частная конечная
            точка.
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        status:
          description: Статус обратной частной конечной точки.
          enum:
            - Unknown
            - Provisioning
            - Deleting
            - Ready
            - Failed
            - PendingAcceptance
            - Rejected
            - Expired
          example: Ready
          type: string
        type:
          description: Тип обратной частной конечной точки.
          enum:
            - VPC_ENDPOINT_SERVICE
            - VPC_RESOURCE
            - MSK_MULTI_VPC
          example: VPC_ENDPOINT_SERVICE
          type: string
        vpcEndpointServiceName:
          description: Service name службы конечных точек VPC.
          example: com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567
          nullable: true
          type: string
        vpcResourceConfigurationId:
          description: ID конфигурации ресурса VPC. Обязательно для типа VPC_RESOURCE.
          example: rcfg-12345678901234567
          nullable: true
          type: string
        vpcResourceShareArn:
          description: ARN общего ресурса VPC. Обязательно для типа VPC_RESOURCE.
          example: >-
            arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567
          nullable: true
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        Используйте идентификатор ключа и секрет ключа, полученные в консоли
        ClickHouse Cloud: https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````